2019-12-06 05:48 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002306FSSCPgameplaypublic2010-12-09 15:27
Reporterbahijal74 
Assigned ToThe_E 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.12 
Target VersionFixed in Version3.6.13 
Summary0002306: Debug build for the final as well enables a cheat not available in release
DescriptionNow this is my first time trying to use mantis. I find that the debug build of 3.6.12 for inf and standard allow constantly the ability to use the destroy subsystems cheat (~+SHIFT+K) that in the release builds is absolutely non-functional. I believe this can end up a HELP to FREDders as well as people who just stink at subsystem destruction. It may be a bug but its possible this is a good bug that could be usable.
Additional InformationI'm sorry again i don't know how else to report this The E suggested using mantis to bring this up and I have never been a part of using mantis before now. Hope this gets fleshed out maybe added to the release build for something
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012350

bahijal74 (reporter)

I do apologize about the format of how I did this but again first time using this.
So Is this a bug of some sort? i really am curious about this development.

~0012372

FUBAR-BDHR (developer)

I think I have tracked the cause of this down. Shiphit.cpp line 498 in do_subobj_hit_stuff() there is this:

#ifndef NDEBUG
    // Debug option. If damage is negative of subsystem type, then just destroy that subsystem.
    if (damage < 0.0f) {

So apparently even though debugging keys are enabled by default even in release builds the underlying code that kills the subsystem is still based on debug and.

~0012522

The_E (administrator)

Fixed in revision 6817
+Notes

-Issue History
Date Modified Username Field Change
2010-09-08 20:09 bahijal74 New Issue
2010-09-08 20:09 bahijal74 Status new => assigned
2010-09-08 20:09 bahijal74 Assigned To => chief1983
2010-09-08 21:07 The_E Assigned To chief1983 =>
2010-09-08 21:07 The_E Severity tweak => minor
2010-09-08 21:07 The_E Status assigned => acknowledged
2010-09-08 21:07 The_E Category Build system => gameplay
2010-09-08 21:07 The_E Product Version 3.6.12 RC4 => 3.6.12
2010-09-09 22:21 bahijal74 Note Added: 0012350
2010-09-28 17:40 FUBAR-BDHR Note Added: 0012372
2010-12-09 15:27 The_E Note Added: 0012522
2010-12-09 15:27 The_E Status acknowledged => resolved
2010-12-09 15:27 The_E Fixed in Version => 3.6.13
2010-12-09 15:27 The_E Resolution open => fixed
2010-12-09 15:27 The_E Assigned To => The_E
+Issue History